#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Gnome2
%define		pnam	VFS
Summary:	Perl bindings for the GNOME Virtual File System
Summary(pl.UTF-8):	Dowiązania Perla dla biblioteki GNOME Virtual File System
Name:		perl-Gnome2-VFS
Version:	1.081
Release:	5
License:	LGPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Gnome2/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3d220cbbe9f1ebc78d7047593f9cd633
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	gnome-vfs2-devel >= 2.14.1
BuildRequires:	perl-ExtUtils-Depends >= 0.201
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.03
BuildRequires:	perl-Glib >= 1.120
BuildRequires:	perl-Gtk2 >= 1.121
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	gnome-vfs2-libs >= 2.14.1
Requires:	perl-Glib >= 1.120
Requires:	perl-Gtk2 >= 1.121
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The VFS module allows a perl developer to use the GNOME Virtual File
System.

%description -l pl.UTF-8
Moduł VFS pozwala programistom perlowym na używanie biblioteki GNOME
Virtual File System.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Gnome2/VFS/{*,*/*,*/*/*}.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%dir %{perl_vendorarch}/Gnome2/VFS
%{perl_vendorarch}/Gnome2/VFS/Install
%{perl_vendorarch}/Gnome2/*.pm
%dir %{perl_vendorarch}/auto/Gnome2/VFS
%attr(755,root,root) %{perl_vendorarch}/auto/Gnome2/VFS/*.so
%{_mandir}/man3/Gnome2::VFS*.3pm*
%changelog
* Mon Sep 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Gnome2-VFS.git;a=log;h=master

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> d5a2eac
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 22115c0
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 103b313
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 9f8c7a9
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 25fa7e0
- release 2

* Sun Mar 02 2008 radek <radek@pld-linux.org> 553d695
- version 1.081

* Fri Feb 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f1e0040
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 81317f3
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Sat Dec 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 6268049
- updated to 1.080

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 97f30c2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 67f155e
- converted to UTF-8

* Sun Dec 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 8760d87
- updated to 1.061

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> f81a942
- unify sourceforge url

* Fri May 26 2006 Jakub Bogusz <qboosh@pld-linux.org> 84687b3
- merged deps update from AC-branch

* Wed Apr 05 2006 freetz <freetz@pld-linux.org> abbdb3b
- 1.060

* Sat Oct 08 2005 freetz <freetz@pld-linux.org> efc0f9a
- 1.041

* Fri Sep 09 2005 freetz <freetz@pld-linux.org> c133fe0
- 1.040

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> fbb4405
- formatting

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> ad46951
- spaces->tabs
- formatting

* Fri Aug 13 2004 ankry <ankry@pld-linux.org> aedecca
- s/Gnome/GNOME/

